import NotificationsConfigModule from "../modules/NotificationsConfigModule";
import NotificationsModule from "../modules/NotificationsModule";
import { BaseWidgetLayout } from "../../base/BaseWidgetLayout";
export default class NotificationsLayout extends BaseWidgetLayout {
    userId: string;
    configModule: NotificationsConfigModule;
    notificationsModule: NotificationsModule;
    isLoading: boolean;
    widgetName: string;
    get notifications(): import("../types/NotificationEvent").NotificationEvent[];
    get isCoffeeTime(): boolean;
    created(): Promise<void>;
}
